> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a data stream

> Update the name of a data stream.



## OpenAPI

````yaml /openapi.json patch /data_streams/{key}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /data_streams/{key}:
    patch:
      summary: Update a data stream
      description: Update the name of a data stream.
      parameters:
        - in: path
          name: key
          required: true
          schema:
            type: string
          description: The immutable data stream key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: New human readable name
      responses:
        '200':
          description: Data stream updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataStream'
        '401':
          description: Unauthorized
        '404':
          description: Data stream not found
components:
  schemas:
    DataStream:
      type: object
      required:
        - key
        - name
      properties:
        id:
          type: integer
          description: Unique numeric identifier
        key:
          type: string
          description: Unique immutable identifier
        name:
          type: string
          description: Human readable name
        description:
          type: string
          description: Optional description of the data stream
        type:
          type: string
          description: The type of data stream (e.g. api, csv, stripe, bank_feed)
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````